PHP is amongst the most widely used general-purpose web programming languages. It’s rather popular because it is free software, which can be used to build responsive websites such as social networks, e-shops or online learning sites instead of static HTML-based websites. A PHP module must be enabled on the web server where a PHP-powered site is hosted so that its source code can be ‘decoded’. Since there aren’t any license charges for this sort of module and the language provides unlimited options for the Internet applications that you build, there’re hundreds of millions of PHP websites. On top of that, there are heaps of PHP-based scripts, which you can use for your sites without the need to have any coding skills. Considering the fact that there’re several versions of PHP, you need to make certain that the very same version that you used while building your website is installed on the server as well.

PHP 4, PHP 5 and PHP 7 Support in Shared Hosting

Our shared hosting servers support several versions of PHP, which suggests that your websites will work without any problem even if your PHP-based scripts are outdated. We acknowledge the fact that an old site doesn’t inevitably equal a vulnerable one as you may have performed lots of modifications to its code. That’s the reason why we support PHP 4, PHP 5 and PHP 7 and you can choose which version will be enabled for your account. You can change the version with only one mouse click from your Hepsia hosting Control Panel and the new settings will be applied straight away. In case you would like to run both newer and older scripts, there’s even a possibility to use a different PHP version for each domain name of yours simultaneously.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

Even in case your sites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our servers and each one of them can be enabled for your account with just one click of the mouse via our in-house built Hepsia hosting Control Panel. Other than the most recent PHP 7, we also offer 5.3, 5.2 and the older PHP 4, which has already been abandoned by the great majority of web hosting vendors, but we are strongly convinced that you shouldn’t be forced to modify a website that took years to develop, since older script language syntax does not inevitably suggest security gaps. Just the opposite, an adequately maintained site using PHP 4 can be more secure than a wrongly maintained one using PHP 5. For your convenience’s sake, we will also give you the opportunity to select a different PHP version for each individual website within the account.